package com.steering.pss.plnsaleord.stove.entity;
/**
 * 数据库表PLN_ZY_ZG_M所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2017-10-31
 */
@SuppressWarnings("serial")
public class PlnZyZgMEntity implements java.io.Serializable {

    public String getPlanIndoubleNum() {
        return planIndoubleNum;
    }

    public void setPlanIndoubleNum(String planIndoubleNum) {
        this.planIndoubleNum = planIndoubleNum;
    }

    public String planIndoubleNum = "";

    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    public  String jugdeApplyCode = "";
    public String getLengthMOld() {
        return lengthMOld;
    }

    public void setLengthMOld(String lengthMOld) {
        this.lengthMOld = lengthMOld;
    }

    private  String lengthMOld = "";
    /**
     * 轧管炉计划ID(订单编号/排产序号/判定炉号/2位流水)
     */
    private String heatPlanNo = "";
    /**
     * 产线内炉计划顺序号
     */
    private String gxProSeq = "";
    /**
     * 生产批号
     */
    private String zyBatchId = "";
    /**
     * 冶炼炉号(电炉炉号)
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 计划状态（00计划，10下发，20生产中，30生产完成，40关闭A）
     */
    private String planstatus = "";
    /**
     * 上工序炉计划ID（若上工序是铸造：虚拟炉次号(ID)+虚拟炉次内顺序号；若上工序是锻造，则锻造炉计划ID）
     */
    private String upperHeatplanId = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 轧管订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 铸造工序订单号
     */
    private String ccmProPlanId = "";
    /**
     * 铸造订单排产序号
     */
    private String ccmGxPlanNo = "";
    /**
     * 轧管产线代码
     */
    private String plineCode = "";
    /**
     * 轧管产线描述
     */
    private String plineName = "";
    /**
     * 二级工序代码
     */
    private String processCodeC = "";
    /**
     * 二级工序名
     */
    private String processDescC = "";
    /**
     * 上工序代码(大工序)
     */
    private String upperProcessCode = "";
    /**
     * 下工序代码(大工序)
     */
    private String nextProcessCode = "";
    /**
     * 是否末工序（末工序时合同成品属性有效）
     */
    private String isendgx = "";
    /**
     * 是否利库
     */
    private String ifMatchOdd = "";
    /**
     * 是否已做正式炉计划
     */
    private String ifDoHeatPlan = "";
    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     */
    private String orderSource = "";
    /**
     * 主交货编码PK
     */
    private String ordLnDlyPk = "";
    /**
     * 主合同号
     */
    private String orderNo = "";
    /**
     * 主合同行号
     */
    private String orderSeq = "";
    /**
     * 主交货编码
     */
    private String deliveryNo = "";
    /**
     * 主备料需求号
     */
    private String reqBlId = "";
    /**
     * 国内外
     */
    private String ifExport = "";
    /**
     * 合同紧急度
     */
    private String priority = "";
    /**
     * 紧急度备注
     */
    private String priorityMemo = "";
    /**
     * 排产年月
     */
    private String proMonth = "";
    /**
     * 按长度控制标识
     */
    private String ifLenControl = "";
    /**
     * 负公差轧制标识
     */
    private String ifMinusSicRoll = "";
    /**
     * 生产标准
     */
    private String prodStandard = "";
    /**
     * 输出标准
     */
    private String outputStandard = "";
    /**
     * 判定字头
     */
    private String decision = "";
    /**
     * 轧管工艺备注
     */
    private String progyMemo = "";
    /**
     * 物流去向代码
     */
    private String gowhereCode = "";
    /**
     * 物流去向名称
     */
    private String gowhereName = "";
    /**
     * 是否外购坯
     */
    private String outsBilletFl = "";
    /**
     * 管坯类型（1铸坯2锻坯）
     */
    private String gptype = "";
    /**
     * 投入物料编码
     */
    private String inwlId = "";
    /**
     * 投入物料描述
     */
    private String inwlDesc = "";
    /**
     * 产出物料编码
     */
    private String outwlId = "";
    /**
     * 产出物料描述
     */
    private String outwlDesc = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 管坯直径
     */
    private String diameter = "";
    /**
     * 单倍坯长（mm）
     */
    private String lenGpSingle = "";
    /**
     * 单倍坯重
     */
    private String wtGpSingle = "";
    /**
     * 单倍计划分配支(排产)
     */
    private String plnInsingleNum = "";
    /**
     * 单倍计划分配总重(排产)
     */
    private String plnInsingleWt = "";
    /**
     * 预计产出支数(管)
     */
    private String plnOutsingleNum = "";
    /**
     * 预计产出吨(管)
     */
    private String plnOutsingleW = "";
    /**
     * 成品外径
     */
    private String outdiameter = "";
    /**
     * 成品壁厚
     */
    private String wallthick = "";
    /**
     * 轧管名义外径
     */
    private String outdiameterZg = "";
    /**
     * 轧管名义壁厚
     */
    private String wallthickZg = "";
    /**
     * 控制外径
     */
    private String aimoutdiameter = "";
    /**
     * 控制壁厚
     */
    private String aimwallthick = "";
    /**
     * 内控壁厚公差
     */
    private String thicknessWall = "";
    /**
     * 轧管转移长度上限(m)
     */
    private String lenRollMax = "";
    /**
     * 轧管转移长度下限(m)
     */
    private String lenRollMin = "";
    /**
     * 轧管转移长度
     */
    private String aimlength = "";
    /**
     * 轧后长度
     */
    private String rollLength = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 切尾类型（0-被动切尾，1-主动切尾）
     */
    private String cutType = "";
    /**
     * 切尾（mm）
     */
    private String lenCutend = "";
    /**
     * 切头（mm）
     */
    private String lenCuthead = "";
    /**
     * 芯棒直径
     */
    private String diameterMandrel = "";
    /**
     * 孔型代码(4007)
     */
    private String passCode = "";
    /**
     * 孔型描述
     */
    private String passName = "";
    /**
     * 是否轧管监制
     */
    private String ifMonitor = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 本工序监制点
     */
    private String monitorPoint = "";
    /**
     * BOM
     */
    private String bom = "";
    /**
     * 主全程途径码
     */
    private String wholeBacklog = "";
    /**
     * 主全程途径描叙
     */
    private String wholeBacklogDesc = "";
    /**
     * 成分标准索引号(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号(内控)
     */
    private String dic = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 工艺文件责任人
     */
    private String craftFileMan = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 二级工艺文件号
     */
    private String secCraftFileNo = "";
    /**
     * 本工序点路径
     */
    private String stationRoad = "";
    /**
     * 作业日期（年月日）
     */
    private String proDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 下发人
     */
    private String downman = "";
    /**
     * 下发时间
     */
    private String downtime = "";
    /**
     * 是否上料（0-未上料，1-已上料）
     */
    private String isLoad = "";
    /**
     * 炉计划类型（0、正常计划；1、试轧料）
     */
    private String plnType = "";
    /**
     * 标示炉号(打印炉号)
     */
    private String flagStoveNo = "";
    /**
     * 主制程索引号
     */
    private String indexSeq = "";

    /**
     * 轧管炉计划ID(订单编号/排产序号/判定炉号/2位流水)
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 轧管炉计划ID(订单编号/排产序号/判定炉号/2位流水)
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 产线内炉计划顺序号
     * @return value
     */
    public String getGxProSeq() {
        return gxProSeq;
    }

    /**
     * 产线内炉计划顺序号
     * @param gxProSeq value
     */
    public void setGxProSeq(String gxProSeq) {
        this.gxProSeq = gxProSeq;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 生产批号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 冶炼炉号(电炉炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 计划状态（00计划，10下发，20生产中，30生产完成，40关闭A）
     * @return value
     */
    public String getPlanstatus() {
        return planstatus;
    }

    /**
     * 计划状态（00计划，10下发，20生产中，30生产完成，40关闭A）
     * @param planstatus value
     */
    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    /**
     * 上工序炉计划ID（若上工序是铸造：虚拟炉次号(ID)+虚拟炉次内顺序号；若上工序是锻造，则锻造炉计划ID）
     * @return value
     */
    public String getUpperHeatplanId() {
        return upperHeatplanId;
    }

    /**
     * 上工序炉计划ID（若上工序是铸造：虚拟炉次号(ID)+虚拟炉次内顺序号；若上工序是锻造，则锻造炉计划ID）
     * @param upperHeatplanId value
     */
    public void setUpperHeatplanId(String upperHeatplanId) {
        this.upperHeatplanId = upperHeatplanId;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 轧管订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 轧管订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 铸造工序订单号
     * @return value
     */
    public String getCcmProPlanId() {
        return ccmProPlanId;
    }

    /**
     * 铸造工序订单号
     * @param ccmProPlanId value
     */
    public void setCcmProPlanId(String ccmProPlanId) {
        this.ccmProPlanId = ccmProPlanId;
    }

    /**
     * 铸造订单排产序号
     * @return value
     */
    public String getCcmGxPlanNo() {
        return ccmGxPlanNo;
    }

    /**
     * 铸造订单排产序号
     * @param ccmGxPlanNo value
     */
    public void setCcmGxPlanNo(String ccmGxPlanNo) {
        this.ccmGxPlanNo = ccmGxPlanNo;
    }

    /**
     * 轧管产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 轧管产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 轧管产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 轧管产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 二级工序代码
     * @return value
     */
    public String getProcessCodeC() {
        return processCodeC;
    }

    /**
     * 二级工序代码
     * @param processCodeC value
     */
    public void setProcessCodeC(String processCodeC) {
        this.processCodeC = processCodeC;
    }

    /**
     * 二级工序名
     * @return value
     */
    public String getProcessDescC() {
        return processDescC;
    }

    /**
     * 二级工序名
     * @param processDescC value
     */
    public void setProcessDescC(String processDescC) {
        this.processDescC = processDescC;
    }

    /**
     * 上工序代码(大工序)
     * @return value
     */
    public String getUpperProcessCode() {
        return upperProcessCode;
    }

    /**
     * 上工序代码(大工序)
     * @param upperProcessCode value
     */
    public void setUpperProcessCode(String upperProcessCode) {
        this.upperProcessCode = upperProcessCode;
    }

    /**
     * 下工序代码(大工序)
     * @return value
     */
    public String getNextProcessCode() {
        return nextProcessCode;
    }

    /**
     * 下工序代码(大工序)
     * @param nextProcessCode value
     */
    public void setNextProcessCode(String nextProcessCode) {
        this.nextProcessCode = nextProcessCode;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @return value
     */
    public String getIsendgx() {
        return isendgx;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @param isendgx value
     */
    public void setIsendgx(String isendgx) {
        this.isendgx = isendgx;
    }

    /**
     * 是否利库
     * @return value
     */
    public String getIfMatchOdd() {
        return ifMatchOdd;
    }

    /**
     * 是否利库
     * @param ifMatchOdd value
     */
    public void setIfMatchOdd(String ifMatchOdd) {
        this.ifMatchOdd = ifMatchOdd;
    }

    /**
     * 是否已做正式炉计划
     * @return value
     */
    public String getIfDoHeatPlan() {
        return ifDoHeatPlan;
    }

    /**
     * 是否已做正式炉计划
     * @param ifDoHeatPlan value
     */
    public void setIfDoHeatPlan(String ifDoHeatPlan) {
        this.ifDoHeatPlan = ifDoHeatPlan;
    }

    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     * @return value
     */
    public String getOrderSource() {
        return orderSource;
    }

    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     * @param orderSource value
     */
    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    /**
     * 主交货编码PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 主交货编码PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 主合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 主合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 主合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 主合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 主交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 主交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 主备料需求号
     * @return value
     */
    public String getReqBlId() {
        return reqBlId;
    }

    /**
     * 主备料需求号
     * @param reqBlId value
     */
    public void setReqBlId(String reqBlId) {
        this.reqBlId = reqBlId;
    }

    /**
     * 国内外
     * @return value
     */
    public String getIfExport() {
        return ifExport;
    }

    /**
     * 国内外
     * @param ifExport value
     */
    public void setIfExport(String ifExport) {
        this.ifExport = ifExport;
    }

    /**
     * 合同紧急度
     * @return value
     */
    public String getPriority() {
        return priority;
    }

    /**
     * 合同紧急度
     * @param priority value
     */
    public void setPriority(String priority) {
        this.priority = priority;
    }

    /**
     * 紧急度备注
     * @return value
     */
    public String getPriorityMemo() {
        return priorityMemo;
    }

    /**
     * 紧急度备注
     * @param priorityMemo value
     */
    public void setPriorityMemo(String priorityMemo) {
        this.priorityMemo = priorityMemo;
    }

    /**
     * 排产年月
     * @return value
     */
    public String getProMonth() {
        return proMonth;
    }

    /**
     * 排产年月
     * @param proMonth value
     */
    public void setProMonth(String proMonth) {
        this.proMonth = proMonth;
    }

    /**
     * 按长度控制标识
     * @return value
     */
    public String getIfLenControl() {
        return ifLenControl;
    }

    /**
     * 按长度控制标识
     * @param ifLenControl value
     */
    public void setIfLenControl(String ifLenControl) {
        this.ifLenControl = ifLenControl;
    }

    /**
     * 负公差轧制标识
     * @return value
     */
    public String getIfMinusSicRoll() {
        return ifMinusSicRoll;
    }

    /**
     * 负公差轧制标识
     * @param ifMinusSicRoll value
     */
    public void setIfMinusSicRoll(String ifMinusSicRoll) {
        this.ifMinusSicRoll = ifMinusSicRoll;
    }

    /**
     * 生产标准
     * @return value
     */
    public String getProdStandard() {
        return prodStandard;
    }

    /**
     * 生产标准
     * @param prodStandard value
     */
    public void setProdStandard(String prodStandard) {
        this.prodStandard = prodStandard;
    }

    /**
     * 输出标准
     * @return value
     */
    public String getOutputStandard() {
        return outputStandard;
    }

    /**
     * 输出标准
     * @param outputStandard value
     */
    public void setOutputStandard(String outputStandard) {
        this.outputStandard = outputStandard;
    }

    /**
     * 判定字头
     * @return value
     */
    public String getDecision() {
        return decision;
    }

    /**
     * 判定字头
     * @param decision value
     */
    public void setDecision(String decision) {
        this.decision = decision;
    }

    /**
     * 轧管工艺备注
     * @return value
     */
    public String getProgyMemo() {
        return progyMemo;
    }

    /**
     * 轧管工艺备注
     * @param progyMemo value
     */
    public void setProgyMemo(String progyMemo) {
        this.progyMemo = progyMemo;
    }

    /**
     * 物流去向代码
     * @return value
     */
    public String getGowhereCode() {
        return gowhereCode;
    }

    /**
     * 物流去向代码
     * @param gowhereCode value
     */
    public void setGowhereCode(String gowhereCode) {
        this.gowhereCode = gowhereCode;
    }

    /**
     * 物流去向名称
     * @return value
     */
    public String getGowhereName() {
        return gowhereName;
    }

    /**
     * 物流去向名称
     * @param gowhereName value
     */
    public void setGowhereName(String gowhereName) {
        this.gowhereName = gowhereName;
    }

    /**
     * 是否外购坯
     * @return value
     */
    public String getOutsBilletFl() {
        return outsBilletFl;
    }

    /**
     * 是否外购坯
     * @param outsBilletFl value
     */
    public void setOutsBilletFl(String outsBilletFl) {
        this.outsBilletFl = outsBilletFl;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @return value
     */
    public String getGptype() {
        return gptype;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @param gptype value
     */
    public void setGptype(String gptype) {
        this.gptype = gptype;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getInwlId() {
        return inwlId;
    }

    /**
     * 投入物料编码
     * @param inwlId value
     */
    public void setInwlId(String inwlId) {
        this.inwlId = inwlId;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getInwlDesc() {
        return inwlDesc;
    }

    /**
     * 投入物料描述
     * @param inwlDesc value
     */
    public void setInwlDesc(String inwlDesc) {
        this.inwlDesc = inwlDesc;
    }

    /**
     * 产出物料编码
     * @return value
     */
    public String getOutwlId() {
        return outwlId;
    }

    /**
     * 产出物料编码
     * @param outwlId value
     */
    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    /**
     * 产出物料描述
     * @return value
     */
    public String getOutwlDesc() {
        return outwlDesc;
    }

    /**
     * 产出物料描述
     * @param outwlDesc value
     */
    public void setOutwlDesc(String outwlDesc) {
        this.outwlDesc = outwlDesc;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 管坯直径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 管坯直径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 单倍坯长（mm）
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长（mm）
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 单倍坯重
     * @return value
     */
    public String getWtGpSingle() {
        return wtGpSingle;
    }

    /**
     * 单倍坯重
     * @param wtGpSingle value
     */
    public void setWtGpSingle(String wtGpSingle) {
        this.wtGpSingle = wtGpSingle;
    }

    /**
     * 单倍计划分配支(排产)
     * @return value
     */
    public String getPlnInsingleNum() {
        return plnInsingleNum;
    }

    /**
     * 单倍计划分配支(排产)
     * @param plnInsingleNum value
     */
    public void setPlnInsingleNum(String plnInsingleNum) {
        this.plnInsingleNum = plnInsingleNum;
    }

    /**
     * 单倍计划分配总重(排产)
     * @return value
     */
    public String getPlnInsingleWt() {
        return plnInsingleWt;
    }

    /**
     * 单倍计划分配总重(排产)
     * @param plnInsingleWt value
     */
    public void setPlnInsingleWt(String plnInsingleWt) {
        this.plnInsingleWt = plnInsingleWt;
    }

    /**
     * 预计产出支数(管)
     * @return value
     */
    public String getPlnOutsingleNum() {
        return plnOutsingleNum;
    }

    /**
     * 预计产出支数(管)
     * @param plnOutsingleNum value
     */
    public void setPlnOutsingleNum(String plnOutsingleNum) {
        this.plnOutsingleNum = plnOutsingleNum;
    }

    /**
     * 预计产出吨(管)
     * @return value
     */
    public String getPlnOutsingleW() {
        return plnOutsingleW;
    }

    /**
     * 预计产出吨(管)
     * @param plnOutsingleW value
     */
    public void setPlnOutsingleW(String plnOutsingleW) {
        this.plnOutsingleW = plnOutsingleW;
    }

    /**
     * 成品外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 成品外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 成品壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 成品壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 轧管名义外径
     * @return value
     */
    public String getOutdiameterZg() {
        return outdiameterZg;
    }

    /**
     * 轧管名义外径
     * @param outdiameterZg value
     */
    public void setOutdiameterZg(String outdiameterZg) {
        this.outdiameterZg = outdiameterZg;
    }

    /**
     * 轧管名义壁厚
     * @return value
     */
    public String getWallthickZg() {
        return wallthickZg;
    }

    /**
     * 轧管名义壁厚
     * @param wallthickZg value
     */
    public void setWallthickZg(String wallthickZg) {
        this.wallthickZg = wallthickZg;
    }

    /**
     * 控制外径
     * @return value
     */
    public String getAimoutdiameter() {
        return aimoutdiameter;
    }

    /**
     * 控制外径
     * @param aimoutdiameter value
     */
    public void setAimoutdiameter(String aimoutdiameter) {
        this.aimoutdiameter = aimoutdiameter;
    }

    /**
     * 控制壁厚
     * @return value
     */
    public String getAimwallthick() {
        return aimwallthick;
    }

    /**
     * 控制壁厚
     * @param aimwallthick value
     */
    public void setAimwallthick(String aimwallthick) {
        this.aimwallthick = aimwallthick;
    }

    /**
     * 内控壁厚公差
     * @return value
     */
    public String getThicknessWall() {
        return thicknessWall;
    }

    /**
     * 内控壁厚公差
     * @param thicknessWall value
     */
    public void setThicknessWall(String thicknessWall) {
        this.thicknessWall = thicknessWall;
    }

    /**
     * 轧管转移长度上限(m)
     * @return value
     */
    public String getLenRollMax() {
        return lenRollMax;
    }

    /**
     * 轧管转移长度上限(m)
     * @param lenRollMax value
     */
    public void setLenRollMax(String lenRollMax) {
        this.lenRollMax = lenRollMax;
    }

    /**
     * 轧管转移长度下限(m)
     * @return value
     */
    public String getLenRollMin() {
        return lenRollMin;
    }

    /**
     * 轧管转移长度下限(m)
     * @param lenRollMin value
     */
    public void setLenRollMin(String lenRollMin) {
        this.lenRollMin = lenRollMin;
    }

    /**
     * 轧管转移长度
     * @return value
     */
    public String getAimlength() {
        return aimlength;
    }

    /**
     * 轧管转移长度
     * @param aimlength value
     */
    public void setAimlength(String aimlength) {
        this.aimlength = aimlength;
    }

    /**
     * 轧后长度
     * @return value
     */
    public String getRollLength() {
        return rollLength;
    }

    /**
     * 轧后长度
     * @param rollLength value
     */
    public void setRollLength(String rollLength) {
        this.rollLength = rollLength;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 切尾类型（0-被动切尾，1-主动切尾）
     * @return value
     */
    public String getCutType() {
        return cutType;
    }

    /**
     * 切尾类型（0-被动切尾，1-主动切尾）
     * @param cutType value
     */
    public void setCutType(String cutType) {
        this.cutType = cutType;
    }

    /**
     * 切尾（mm）
     * @return value
     */
    public String getLenCutend() {
        return lenCutend;
    }

    /**
     * 切尾（mm）
     * @param lenCutend value
     */
    public void setLenCutend(String lenCutend) {
        this.lenCutend = lenCutend;
    }

    /**
     * 切头（mm）
     * @return value
     */
    public String getLenCuthead() {
        return lenCuthead;
    }

    /**
     * 切头（mm）
     * @param lenCuthead value
     */
    public void setLenCuthead(String lenCuthead) {
        this.lenCuthead = lenCuthead;
    }

    /**
     * 芯棒直径
     * @return value
     */
    public String getDiameterMandrel() {
        return diameterMandrel;
    }

    /**
     * 芯棒直径
     * @param diameterMandrel value
     */
    public void setDiameterMandrel(String diameterMandrel) {
        this.diameterMandrel = diameterMandrel;
    }

    /**
     * 孔型代码(4007)
     * @return value
     */
    public String getPassCode() {
        return passCode;
    }

    /**
     * 孔型代码(4007)
     * @param passCode value
     */
    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }

    /**
     * 孔型描述
     * @return value
     */
    public String getPassName() {
        return passName;
    }

    /**
     * 孔型描述
     * @param passName value
     */
    public void setPassName(String passName) {
        this.passName = passName;
    }

    /**
     * 是否轧管监制
     * @return value
     */
    public String getIfMonitor() {
        return ifMonitor;
    }

    /**
     * 是否轧管监制
     * @param ifMonitor value
     */
    public void setIfMonitor(String ifMonitor) {
        this.ifMonitor = ifMonitor;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 本工序监制点
     * @return value
     */
    public String getMonitorPoint() {
        return monitorPoint;
    }

    /**
     * 本工序监制点
     * @param monitorPoint value
     */
    public void setMonitorPoint(String monitorPoint) {
        this.monitorPoint = monitorPoint;
    }

    /**
     * BOM
     * @return value
     */
    public String getBom() {
        return bom;
    }

    /**
     * BOM
     * @param bom value
     */
    public void setBom(String bom) {
        this.bom = bom;
    }

    /**
     * 主全程途径码
     * @return value
     */
    public String getWholeBacklog() {
        return wholeBacklog;
    }

    /**
     * 主全程途径码
     * @param wholeBacklog value
     */
    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    /**
     * 主全程途径描叙
     * @return value
     */
    public String getWholeBacklogDesc() {
        return wholeBacklogDesc;
    }

    /**
     * 主全程途径描叙
     * @param wholeBacklogDesc value
     */
    public void setWholeBacklogDesc(String wholeBacklogDesc) {
        this.wholeBacklogDesc = wholeBacklogDesc;
    }

    /**
     * 成分标准索引号(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 工艺文件责任人
     * @return value
     */
    public String getCraftFileMan() {
        return craftFileMan;
    }

    /**
     * 工艺文件责任人
     * @param craftFileMan value
     */
    public void setCraftFileMan(String craftFileMan) {
        this.craftFileMan = craftFileMan;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 二级工艺文件号
     * @return value
     */
    public String getSecCraftFileNo() {
        return secCraftFileNo;
    }

    /**
     * 二级工艺文件号
     * @param secCraftFileNo value
     */
    public void setSecCraftFileNo(String secCraftFileNo) {
        this.secCraftFileNo = secCraftFileNo;
    }

    /**
     * 本工序点路径
     * @return value
     */
    public String getStationRoad() {
        return stationRoad;
    }

    /**
     * 本工序点路径
     * @param stationRoad value
     */
    public void setStationRoad(String stationRoad) {
        this.stationRoad = stationRoad;
    }

    /**
     * 作业日期（年月日）
     * @return value
     */
    public String getProDay() {
        return proDay;
    }

    /**
     * 作业日期（年月日）
     * @param proDay value
     */
    public void setProDay(String proDay) {
        this.proDay = proDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 下发人
     * @return value
     */
    public String getDownman() {
        return downman;
    }

    /**
     * 下发人
     * @param downman value
     */
    public void setDownman(String downman) {
        this.downman = downman;
    }

    /**
     * 下发时间
     * @return value
     */
    public String getDowntime() {
        return downtime;
    }

    /**
     * 下发时间
     * @param downtime value
     */
    public void setDowntime(String downtime) {
        this.downtime = downtime;
    }

    /**
     * 是否上料（0-未上料，1-已上料）
     * @return value
     */
    public String getIsLoad() {
        return isLoad;
    }

    /**
     * 是否上料（0-未上料，1-已上料）
     * @param isLoad value
     */
    public void setIsLoad(String isLoad) {
        this.isLoad = isLoad;
    }

    /**
     * 炉计划类型（0、正常计划；1、试轧料）
     * @return value
     */
    public String getPlnType() {
        return plnType;
    }

    /**
     * 炉计划类型（0、正常计划；1、试轧料）
     * @param plnType value
     */
    public void setPlnType(String plnType) {
        this.plnType = plnType;
    }
    /**
     * 标示炉号(打印炉号)
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 主制程索引号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 主制程索引号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }
    private String cutNumGp="";
    private String lengthM="";
    /**
     * 倍尺数
     */
    public String getCutNumGp() {
        return cutNumGp;
    }
    /**
     * 倍尺数
     */
    public void setCutNumGp(String cutNumGp) {
        this.cutNumGp = cutNumGp;
    }
    /**
     * 倍尺坯长
     */
    public String getLengthM() {
        return lengthM;
    }
    /**
     * 倍尺坯长
     */
    public void setLengthM(String lengthM) {
        this.lengthM = lengthM;
    }
    private String heatPlanSqe="";

    public String getHeatPlanSqe() {
        return heatPlanSqe;
    }

    public void setHeatPlanSqe(String heatPlanSqe) {
        this.heatPlanSqe = heatPlanSqe;
    }
    private String feedHeatNo="";
    /**
     * 上料炉号（轧管判定炉号）
     */
    public String getFeedHeatNo() {
        return feedHeatNo;
    }
    /**
     * 上料炉号（轧管判定炉号）
     */
    public void setFeedHeatNo(String feedHeatNo) {
        this.feedHeatNo = feedHeatNo;
    }
    /**
     * 备注
     */
    private String memo="";
    /**
     * 备注
     */
    public String getMemo() {
        return memo;
    }
    /**
     * 备注
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    private String finalUserDesc = "";

    /**
     * 用户
     * @return
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 用户
     * @return
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    private String specCode = "";
    private String specName = "";
    /**
     * 规格代码
     * @return
     */
    public String getSpecCode() {
        return specCode;
    }
    /**
     * 规格代码
     * @return
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }
    /**
     * 规格
     * @return
     */
    public String getSpecName() {
        return specName;
    }
    /**
     * 规格
     * @return
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }
    private String lengthdisc="";
    /**
     * 订货长度描述
     * @return
     */
    public String getLengthdisc() {
        return lengthdisc;
    }
    /**
     * 订货长度描述
     * @return
     */
    public void setLengthdisc(String lengthdisc) {
        this.lengthdisc = lengthdisc;
    }
    private String stdStyleDesc="";
    private String stdCode="";
    private String stdName="";
    private String stdStyle="";
    public String getStdStyle() {
        return stdStyle;
    }

    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述
     * @return
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }
    /**
     * 标准类别描述
     * @return
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }
    /**
     * 标准类别代码
     * @return
     */
    public String getStdCode() {
        return stdCode;
    }
    /**
     * 标准类别代码
     * @return
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }
    /**
     * 标准类别
     * @return
     */
    public String getStdName() {
        return stdName;
    }
    /**
     * 标准类别
     * @return
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }
    private String monitordemand="";
    /**
     * 监制
     * @return
     */
    public String getMonitordemand() {
        return monitordemand;
    }
    /**
     * 监制
     * @return
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }
    /**
     * 切损长度
     * @return
     */
    private String cutLength="";
    /**
     * 切损长度
     * @return
     */
    public String getCutLength() {
        return cutLength;
    }
    /**
     * 切损长度
     * @return
     */
    public void setCutLength(String cutLength) {
        this.cutLength = cutLength;
    }
    
    private String plnDivideId="";
    /**
     * 流水号
     * @return
     */
    public String getPlnDivideId() {
        return plnDivideId;
    }
    /**
     * 流水号
     * @return
     */
    public void setPlnDivideId(String plnDivideId) {
        this.plnDivideId = plnDivideId;
    }
    private String reducedWt="";
    /**
     * 折算吨
     * @return
     */
    public String getReducedWt() {
        return reducedWt;
    }
    /**
     * 折算吨
     * @return
     */
    public void setReducedWt(String reducedWt) {
        this.reducedWt = reducedWt;
    }
    private String planWeigth="";
    /**
     *排产吨（使用）
     */
    public String getPlanWeigth() {
        return planWeigth;
    }
    /**
     *排产吨（使用）
     */
    public void setPlanWeigth(String planWeigth) {
        this.planWeigth = planWeigth;
    }
	private String heatPlanNoOld="";

	public String getHeatPlanNoOld() {
		return heatPlanNoOld;
	}

	public void setHeatPlanNoOld(String heatPlanNoOld) {
		this.heatPlanNoOld = heatPlanNoOld;
	}
}